﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace prjPizzaOrder
{
    public partial class frmMessageBox : Form
    {
        // Form 2 property list
        #region Form Properties
        public string _pizzaSize;
        public string PizzaSize
        {
            get { return _pizzaSize; }
        }

        public string _crustType;
        public string CrustType
        {
            get { return _crustType; }
        }

        public List<string> _toppings;
        public List<string> Toppings
        {
            get { return _toppings; }
        }

        public string _beverage;
        public string Beverage
        {
            get { return _beverage; }
        }

        public List<string> _extras;
        public List<string> Extras
        {
            get { return _extras; }
        }
        #endregion

        public frmMessageBox()
        {
            InitializeComponent();
        }

        private void frmMessageBox_Load(object sender, EventArgs e)
        {
            lblPizzaSize.Text = "Pizza Size: " + _pizzaSize;
            lblCrustType.Text = "Crust Type: " + _crustType;
            lblToppings.Text = "Toppings: ";
            foreach (string value in _toppings)
            {
                lblToppings.Text = lblToppings.Text + value.ToString() + "   ";
            }
            lblBeverage.Text = "Beverage: " + _beverage;
            lblExtras.Text = "Extras: ";
            foreach (string value in _extras)
            {
                lblExtras.Text = lblExtras.Text + value.ToString() + "   ";
            }
        }
    }
}
